Summary:	Read and write Changes files
Name:		perl-CPAN-Changes
Version:	0.400002
Release:        6%{?dist}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/CPAN-Changes
Source0:	https://cpan.metacpan.org/modules/by-module/CPAN/CPAN-Changes-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils findutils make perl-generators perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Encode) perl(Scalar::Util) perl(strict) perl(Test::Builder)
BuildRequires:	perl(Text::Wrap) perl(version) >= 0.99.06 perl(warnings)
BuildRequires:	perl(Getopt::Long) perl(Pod::Usage)
BuildRequires:	perl(Test::More) >= 0.96 perl(Test::Pod) >= 1.00 perl(Test::Pod::Coverage) >= 1.00

Requires:	 perl(version) >= 0.99.06

%description
It is standard practice to include a Changes file in your distribution. The
purpose of the Changes file is to help a user figure out what has changed
since the last release.

People have devised many ways to write the Changes file. A preliminary
specification has been created (CPAN::Changes::Spec) to encourage module
authors to write clear and concise Changes.

This module will help users programmatically read and write Changes files
that conform to the specification.

%prep
%autosetup -n CPAN-Changes-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%doc Changes README
%{_bindir}/tidy_changelog
%{perl_vendorlib}/CPAN/
%{perl_vendorlib}/Test/
%{_mandir}/man1/tidy_changelog.1*
%{_mandir}/man3/CPAN::Changes.3*
%{_mandir}/man3/CPAN::Changes::Group.3*
%{_mandir}/man3/CPAN::Changes::Release.3*
%{_mandir}/man3/CPAN::Changes::Spec.3*
%{_mandir}/man3/Test::CPAN::Changes.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.400002-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.400002-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.400002-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.400002-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.400002-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 cunshunxia <cunshunxia@tencent.com> - 0.400002-1
- initial build
